package com.cisdi.data.caliper.gateway;

import com.alibaba.fastjson.JSON;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 读取到标签或标签离开，解析后的内容都一致
 *
 * @author cup
 * @date 2021/03/03
 */
@Setter
@Getter
public class CaliperItemVo implements Serializable {
    private static final long serialVersionUID = -4290553035349526464L;
    /**
     * rfid 服务器Ip
     */
    private String serverIp;

    /**
     * rfid 服务器端口
     */
    private Integer serverPort;

    /**
     * 编号
     */
    private String code;

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
